/*
 * Class WEL_RGB_QUAD
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_762 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_762 [] = {0xFF01,1551,761,0xFFFF};
static const EIF_TYPE_INDEX egt_2_762 [] = {0xFF01,761,0xFFFF};
static const EIF_TYPE_INDEX egt_3_762 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_762 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_762 [] = {0xFF01,761,0xFFFF};
static const EIF_TYPE_INDEX egt_6_762 [] = {0xFF01,761,0xFFFF};
static const EIF_TYPE_INDEX egt_7_762 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_762 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_762 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_762 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_762 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_762 [] = {0xFF01,761,0xFFFF};


static const struct desc_info desc_762[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_762), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_762), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_762), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_762), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_762), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_762), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_762), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_762), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_762), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_762), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_762), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_762), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05F3 /*761*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_762), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17906, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17909, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17917, 0xFFFFFFFF},
};
void Init762(void)
{
	IDSC(desc_762, 0, 761);
	IDSC(desc_762 + 1, 1, 761);
	IDSC(desc_762 + 32, 791, 761);
	IDSC(desc_762 + 34, 1359, 761);
	IDSC(desc_762 + 44, 1308, 761);
	IDSC(desc_762 + 54, 1419, 761);
}


#ifdef __cplusplus
}
#endif
